> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Enum



## OpenAPI

````yaml /openapi/source/external/messaging/10dlc.json get /10dlc/enum/{endpoint}
openapi: 3.1.0
info:
  title: Telnyx 10DLC API
  description: >-
    # Overview

    The Telnyx 10DLC API facilitates interaction with The Campaign Registry
    (TCR), allowing the creation and registration of brands and campaigns with
    TCR.


    # API Interaction

    ## Request Authorization

    Telnyx 10DLC API endpoints require authorization for each request. To
    properly authorize requests, send an Authorization header with `Bearer `
    plus your Telnyx API key as the value. See the following curl request for
    example usage:


    ```sh

    curl --location --request GET
    'https://api.telnyx.com/10dlc/example/endpoint' \ 

    --header 'Authorization: Bearer YOUR_API_KEY_GOES_HERE' \ 

    --data-raw ''

    ```


    You can obtain your API key by logging into your <a
    href="https://portal.telnyx.com">Telnyx portal account</a> and clicking the
    "API Keys" tab. From there, you can copy your desired API key for use in
    your requests, similar to the above example curl request.


    ## The 10DLC Work Flow

    1. Create a brand


    2. Apply for brand vetting


    3. Create a campaign or campaigns (associated with the created brand)


    4. Assign a phone number or phone numbers to the created campaign

    ## 10DLC Costs

    **Brands:**

    1. Brand registration: $4 one time charge


    2.  Brand vetting: $40 one time charge


    **Campaigns:**


    1. Campaign registration T-Mobile: $50 one time charge


    2. Campaign creation: first 3 month's charge upfront. After the first 3
    months, this charge will change to a once a month recurring charge (see
    charge values below, based on campaign use case)

       a. Charity Campaign Use Case: $15 upfront (first 3 months), and $5 month to month after

       b. Low Mixed Volume Campaign Use Case: $6 upfront (first 3 months), and $2 month to month after

       c. Any Other Campaign Use Case: $30 upfront (first 3 months), and $10 month to month after
    3. Phone number to campaign assignment: $0.03 one time charge for each
    assignment


    ## Frequently Asked Questions

    For frequently asked questions, visit <a
    href="https://support.telnyx.com/en/articles/3679260-frequently-asked-questions-about-10dlc">Telnyx
    10DLC FAQs</a>.
  version: '0.1'
  x-latency-category: responsive
servers:
  - url: https://api.telnyx.com/v2
    description: Version 2.0.0 of the Telnyx API
security:
  - bearerAuth: []
tags:
  - name: Brands
    description: Brand operations
  - name: Campaign
    description: Campaign operations
  - name: Phone Number Campaigns
    description: Phone number campaign assignment
  - name: Bulk Small Business
    description: >-
      Endpoints for creating and checking the status of campaigns, brands, and
      phone numbers
  - name: Bulk Phone Number Campaigns
    description: Phone number campaign bulk assignment
  - name: Callbacks
    description: Callbacks
paths:
  /10dlc/enum/{endpoint}:
    get:
      tags:
        - Enum
      summary: Get Enum
      operationId: GetEnumEndpoint
      parameters:
        - required: true
          schema:
            title: Endpoint
            type: string
            enum:
              - mno
              - optionalAttributes
              - usecase
              - vertical
              - altBusinessIdType
              - brandIdentityStatus
              - brandRelationship
              - campaignStatus
              - entityType
              - extVettingProvider
              - vettingStatus
              - brandStatus
              - operationStatus
              - approvedPublicCompany
              - stockExchange
              - vettingClass
          name: endpoint
          in: path
          description: Unique identifier of the endpoint.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/EnumStringListResponse'
                  - $ref: '#/components/schemas/EnumObjectListResponse'
                  - $ref: '#/components/schemas/EnumObjectToStringResponse'
                  - $ref: '#/components/schemas/EnumObjecToObjecttResponse'
                  - $ref: '#/components/schemas/EnumPaginatedResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
        4XX:
          $ref: '#/components/responses/GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.messaging10dlc.getEnum('mno');

            console.log(response);
        - lang: Python
          source: |
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.messaging_10dlc.get_enum(
                "mno",
            )
            print(response)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Messaging10dlc.GetEnum(context.TODO(), telnyx.Messaging10dlcGetEnumParamsEndpointMno)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messaging10dlc.Messaging10dlcGetEnumParams;

            import
            com.telnyx.sdk.models.messaging10dlc.Messaging10dlcGetEnumResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    Messaging10dlcGetEnumResponse response = client.messaging10dlc().getEnum(Messaging10dlcGetEnumParams.Endpoint.MNO);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.messaging_10dlc.get_enum(:mno)

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->messaging10dlc->getEnum('mno');

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx messaging-10dlc get-enum \
              --api-key 'My API Key' \
              --endpoint mno
components:
  schemas:
    EnumStringListResponse:
      title: EnumStringListResponse
      type: array
      items:
        type: string
      example:
        - BASIC_ACCOUNT
        - SMALL_ACCOUNT
        - MEDIUM_ACCOUNT
        - LARGE_ACCOUNT
        - KEY_ACCOUNT
    EnumObjectListResponse:
      title: EnumObjectListResponse
      type: array
      items:
        type: object
        additionalProperties: true
      example:
        - networkId: 10000
          displayName: string
          osrBitmaskIndex: 32
    EnumObjectToStringResponse:
      title: EnumObjectToStringResponse
      type: object
      additionalProperties: true
      example:
        AREIS: AREIS
        BANDW: Bandwidth
        SINCH: Sinch
    EnumObjecToObjecttResponse:
      title: EnumObjecToObjecttResponse
      type: object
      additionalProperties: true
      example:
        PROFESSIONAL:
          industryId: professional-services
          displayName: Professional Services
          description: Professional services.
        REAL_ESTATE:
          industryId: real-estate
          displayName: Real Estate
          description: Buying and Selling of residential and commercial properties.
    EnumPaginatedResponse:
      title: EnumPaginatedResponse
      type: object
      required:
        - page
        - totalRecords
        - records
      properties:
        page:
          type: integer
        totalRecords:
          type: integer
        records:
          type: array
          items:
            type: object
            additionalProperties: true
      example:
        page: 1
        totalRecords: 2
        records:
          - isin: US68243Q1067
            iso2: US
            symbol: FLWS
            exchange: NASDAQ
            displayName: 1-800 FLOWERS.COM, Inc.
          - isin: US88025U1097
            iso2: US
            symbol: TXG
            exchange: NASDAQ
            displayName: 10X GENOMICS INC CLASS A
    Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
      type: object
    Error:
      required:
        - code
        - title
      type: object
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
  responses:
    GenericErrorResponse:
      description: Generic response error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Errors'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````